Package org.drinkless.tdlib

# Class TdApi.UpdateChatActionBar

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Update
org.drinkless.tdlib.TdApi.UpdateChatActionBar

Enclosing class:
  TdApi

public static class TdApi.UpdateChatActionBar extends TdApi.Update
The chat action bar was changed.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Update

  `TdApi.Update.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `TdApi.ChatActionBar`
  `actionBar`
  The new value of the action bar; may be null.
  `long`
  `chatId`
  Chat identifier.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UpdateChatActionBar()`
  The chat action bar was changed.
  `UpdateChatActionBar(long chatId, TdApi.ChatActionBar actionBar)`
  The chat action bar was changed.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### chatId

    public long chatId
    Chat identifier.

  - ### actionBar

    @Nullable public TdApi.ChatActionBar actionBar
    The new value of the action bar; may be null.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### UpdateChatActionBar

    public UpdateChatActionBar()
    The chat action bar was changed.

  - ### UpdateChatActionBar

    public UpdateChatActionBar(long chatId, TdApi.ChatActionBar actionBar)
    The chat action bar was changed.
    Parameters:
      `chatId` - Chat identifier.
      `actionBar` - The new value of the action bar; may be null.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Update`
    Returns:
      this.CONSTRUCTOR